---
title: "Dotscience announces MLOps integration with GitLab"
author: Chris Sterry, Dotscience
author_twitter: sterrbear
guest: true
categories: company
image_title: "/images/blogimages/dotscience-gitlab.png"
description: "The combination of GitLab and Dotscience provides a fully integrated DevOps & MLOps platform."
tags: community, integrations, news
merch_banner: merch_two
merch_sidebar: merch_two
twitter_text: ".@getdotscience announces an integration with @gitlab for #MLOps"
---

Today, I am proud to announce our new partnership with GitLab and [Dotscience](https://dotscience.com). GitLab and Dotscience are passionate about bringing DevOps tools and processes to the AI/ML ecosystem with the goal of achieving MLOps. The combination of GitLab and Dotscience provides a fully integrated DevOps & MLOps platform by combining source repository, issue tracking, and continuous integration. Together we can offer a machine learning environment that provides the ability to build, train, deploy, monitor, reproduce data, code, and models, and collaborate on notebooks.

## Dotscience and GitLab integration

The integration highlights include the following:

* Combine Dotscience and GitLab to achieve a complete DevOps & MLOps platform
* Apply the same merge request workflow you know and love in GitLab to AI & ML projects with [Jupyter](https://jupyter.org) Notebooks, data, parameters & metrics with Dotscience
* Customize the Docker images you build in Dotscience by implementing the Docker build step of deploying an ML model to production as a GitLab repo, custom Dockerfile + build pipeline

## Let’s see it in action

[Luke Marsden](https://uk.linkedin.com/in/luke-marsden-71b3789) and I sat down with [Tina Sturgis](/company/team/#TinaS), manager of partner marketing at GitLab, and provided a little overview of the integration.

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/xIyoq6gnyEo" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

Ready to give it a spin? The easiest way to get started is to sign up for a free trial at Dotscience and read the integration [documentation](https://dotscience.com/partners/gitlab/).

Dotscience is also available on-prem, on AWS, Azure and Google Cloud, and in multi-cloud configurations.

If you have questions, please join our [Slack](https://join.slack.com/t/dotmesh-community/shared_invite/enQtMjU0NzczMTQ2MDgxLTY5MmMwZDdmZjVmOTQ3MjYxMjg3OGQwYzg5MTdiZDJmNTc3Y2I3ZWI2NTUzMGQxNTY3MDVlNTllOWJmNTE4NDQ) channel.
